Bug 44747 - SASL support needed for roaming users
SASL support needed for roaming users
Status: CLOSED CURRENTRELEASE
Product: Red Hat Powertools
Classification: Retired
Component: postfix (Show other bugs)
7.1
i386 Linux
high Severity medium
: ---
: ---
Assigned To: Bernhard Rosenkraenzer
: FutureFeature
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2001-06-15 17:49 EDT by kop
Modified: 2008-05-01 11:38 EDT (History)
0 users

See Also:
Fixed In Version:
Doc Type: Enhancement
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2001-06-15 17:51:32 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
Postfix specfile patch for SASL support (3.31 KB, patch)
2001-06-15 17:51 EDT, kop
no flags Details | Diff

  None (edit)
Description kop 2001-06-15 17:49:03 EDT
Description of Problem:

An authenticated smtp is necessary to support roaming users (and to match
M$ Exchange's functionality), elsewise the client is untrusted and postfix
will reject mail relaying (anti-spam).  Compiling SASL into postfix is
supplies a way to authenticate smtp.  (The other way would be SSL/TLS --
overkill.)

Attached is a patch to postfix-20010202-4.src.rpm's specfile that enables
SASL as supported by the cyrus-sasl-1.5.24-17.i386.rpm distributed with
RedHat 7.1.

Patch uses macro definition flag to trigger (or not) sasl support.  (Uses
ugly hack, is there another way to %declare a empty rpm macro?)
Comment 1 kop 2001-06-15 17:51:28 EDT
Created attachment 21183 [details]
Postfix specfile patch for SASL support
Comment 2 Bernhard Rosenkraenzer 2001-06-29 07:13:54 EDT
Thanks, added in 20010610-1 (will be available at http://rhcontrib.bero.org/ 
later today)

Comment 3 Bernhard Rosenkraenzer 2001-06-29 07:26:01 EDT
There is a sane way to assign an empty value, by the way.

%define something %{_nil}



Note You need to log in before you can comment on or make changes to this bug.